Bug 245930 - security/py-openssl: Update to 19.1.0
Summary: security/py-openssl: Update to 19.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 245929
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-26 13:26 UTC by daniel.engberg.lists
Modified: 2021-01-01 16:07 UTC (History)
1 user (show)

See Also:
sbz: maintainer-feedback+


Attachments
Patch for py-openssl (2.74 KB, patch)
2020-04-26 13:26 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-04-26 13:26:20 UTC
Created attachment 213808 [details]
Patch for py-openssl

Remove examples (no longer distributed)
Update do-test section

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64) (VM)
Poudriere OK 12.1-RELEASE (AMD64)

test_verify_with_time fails for me with time set (ntpdate), no idea why.
All other tests completes.
Tested with PR 245929
Comment 1 daniel.engberg.lists 2020-06-03 20:53:17 UTC
Ping?
Comment 2 Sofian Brabez freebsd_committer 2020-07-11 18:26:21 UTC
I will work on this PR as part of the FreeBSD BugSquash [1].

[1] https://live.freebsd.org/BugSquash/
Comment 3 Sofian Brabez freebsd_committer 2020-07-11 18:27:52 UTC
Looks good, solid changes Daniel, thanks!

I'm waiting for PR#245929 to be completed to commit.
Comment 4 daniel.engberg.lists 2020-12-04 22:54:38 UTC
Hi,

It's been committed as of r556973

Best regards,
Daniel
Comment 5 daniel.engberg.lists 2020-12-20 09:18:42 UTC
Friendly ping
Comment 6 Kurt Jaeger freebsd_committer 2021-01-01 15:15:17 UTC
Most recent version is 20.1
Comment 7 Kurt Jaeger freebsd_committer 2021-01-01 15:17:13 UTC
20.0.1 builds quite as well...
Comment 8 Kurt Jaeger freebsd_committer 2021-01-01 15:21:18 UTC
make test difference between 19.1 and 20.0.1:

19:
SKIPPED [1] tests/test_ssl.py:1069: Loading fallback paths is a linux-specific behavior to accommodate pyca/cryptography manylinux1 wheels
SKIPPED [1] tests/test_ssl.py:2960: Python 2 only
SKIPPED [1] tests/test_ssl.py:3166: Python 2 only
== 1 failed, 489 passed, 3 skipped, 2 deselected, 18 warnings in 5.52 seconds ==

20:
SKIPPED [1] tests/test_ssl.py:1011: SSL_CTX_set_keylog_callback unavailable
SKIPPED [1] tests/test_ssl.py:1167: Loading fallback paths is a linux-specific behavior to accommodate pyca/cryptography manylinux1 wheels
SKIPPED [1] tests/test_ssl.py:3021: Python 2 only
SKIPPED [1] tests/test_ssl.py:3228: Python 2 only
== 1 failed, 518 passed, 4 skipped, 2 deselected, 4 warnings in 6.07 seconds ===
Comment 9 Kurt Jaeger freebsd_committer 2021-01-01 15:24:35 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2021-01-01 15:24:49 UTC
A commit references this bug:

Author: pi
Date: Fri Jan  1 15:24:17 UTC 2021
New revision: 559837
URL: https://svnweb.freebsd.org/changeset/ports/559837

Log:
  security/py-openssl: update 19.0.0 -> 19.1.0

  PR:		245930
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	sbz (maintainer)
  Relnotes:	https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst

Changes:
  head/security/py-openssl/Makefile
  head/security/py-openssl/distinfo
Comment 11 Kurt Jaeger freebsd_committer 2021-01-01 16:07:37 UTC
(In reply to Kurt Jaeger from comment #7)
q: can we just jump to 20.0.1 ?
a (by daniel):
Unfortunately not as we lag quite a bit behind on openssl/crypto ports.

"The minimum cryptography version is now 3.2." (we're at 2.9.2 after a very long and slow process)

References (py-cryptography):                                                   
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238968
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245929